## ocaml-tools 2002.02.11

=== ocaml_make-4.2-1/calc/Makefile ===
OCAMLMAKEFILE = ../OcamlMakefile

SOURCES = test_impl.c test.idl parser.mly lexer.mll calc.ml
RESULT  = calc
THREADS = yes

-include $(OCAMLMAKEFILE)

=== ocaml_make-4.2-1/camlp4/Makefile ===
OCAMLMAKEFILE := ../OcamlMakefile

SOURCES := main.ml
PRE_TARGETS := repeat_syn.cmi repeat_syn.cmo
USE_CAMLP4 := yes
RESULT := main

-include $(OCAMLMAKEFILE)

=== ocaml_make-4.2-1/idl/Makefile ===
OCAMLMAKEFILE = ../OcamlMakefile

SOURCES = c_idl.idl c_impl.c idl_test.ml
RESULT  = idl_test

-include $(OCAMLMAKEFILE)

=== ocaml_make-4.2-1/threads/Makefile ===
export OCAMLMAKEFILE = ../OcamlMakefile

EX1 = SOURCES=ex1.ml RESULT=ex1 THREADS=yes
EX2 = SOURCES=ex2.ml RESULT=ex2 THREADS=yes

all:	ex1 ex2

ex1:
	$(MAKE) -f $(OCAMLMAKEFILE) $(EX1)

ex2:
	$(MAKE) -f $(OCAMLMAKEFILE) $(EX2)

opt:	ex1.opt ex2.opt

ex1.opt:
	$(MAKE) -f $(OCAMLMAKEFILE) $(EX1) nc

ex2.opt:
	$(MAKE) -f $(OCAMLMAKEFILE) $(EX2) nc

clean:
	$(MAKE) -f $(OCAMLMAKEFILE) $(EX1) clean
	$(MAKE) -f $(OCAMLMAKEFILE) $(EX2) clean

## ocaml-tools 2004.04.27

=== ocaml-make-6.7.0/camlp4/Makefile ===
OCAMLMAKEFILE := ../OCamlMakefile

SOURCES := main.ml
PRE_TARGETS := repeat_syn.cmi repeat_syn.cmo repeat_syn.annot
USE_CAMLP4 := yes
RESULT := main

include $(OCAMLMAKEFILE)

=== ocaml-make-6.7.0/threads/Makefile ===
# Set OCamlMakefile to use
export OCAMLMAKEFILE = ../OCamlMakefile

# Export some common variable settings
export THREADS = yes

# Define project "ex1"
export PROJ_ex1 = \
  SOURCES=ex1.ml \
  RESULT=ex1

# Define project "ex2"
export PROJ_ex2 = \
  SOURCES=ex2.ml \
  RESULT=ex2

# If the environment does not define subprojects to handle,
# then use "ex1 ex2" as default
ifndef SUBPROJS
  export SUBPROJS = ex1 ex2
endif

# Default target to use
all:	bc

# Catch-all target will be applied to all subprojects automatically
%:
	@make -f $(OCAMLMAKEFILE) subprojs SUBTARGET=$@

## ocaml-tools 2005.03.02

=== omlet-0.8/Makefile ===
.PHONY: install dist

VERSION=0.8

install:
	BASE=$(HOME)/.vim make install-aux
install-sys:
	BASE=/usr/share/vim/vimfiles make install-aux

install-aux:
	for i in indent syntax ftplugin ftdetect ; do \
	  mkdir -p $(BASE)/$$i ; \
	  cp -f $$i/omlet.vim $(BASE)/$$i ; \
	done
	@echo Installation done.
	@echo
	@echo Add lines like \"filetype plugin on\", \"filetype indent on\" to your .vimrc
	@echo in order to enable OMLet.
	@echo See README for other useful information.

V=omlet-$(shell date +%y%m%d)
D=/home/httpd/htdocs/david.baelde/productions/POOL

dist:
	rm -rf omlet-$(VERSION)
	mkdir omlet-$(VERSION)
	cp LICENSE README INSTALL Makefile omlet-$(VERSION)
	for i in indent syntax ftplugin ftdetect ; do \
		mkdir omlet-$(VERSION)/$$i ; \
		cp $$i/omlet.vim omlet-$(VERSION)/$$i ; \
	done
	tar czvf $(V).tar.gz omlet-$(VERSION)
	rm -rf omlet-$(VERSION)
	cp $(V).tar.gz omlet-$(VERSION).tar.gz

=== ocaml-make-6.19.0/gtk/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = demoterm.ml
RESULT = demoterm
INCDIRS = +lablgtk
THREADS = yes

OCAMLBLDFLAGS = lablgtk.cma gtkInit.cmo gtkThread.cmo
OCAMLNLDFLAGS = lablgtk.cmxa gtkInit.cmx gtkThread.cmx

include $(OCAMLMAKEFILE)

## ocaml-tools 20120103

=== ocaml-autoconf/Makefile ===
PACKAGE	= ocaml-autoconf
VERSION	= 1.0

prefix  = /usr/local
datadir = $(prefix)/share
mandir  = $(datadir)/man

INSTALL = install
MKDIR_P = mkdir -p

all: man ocaml.m4.txt
doc: man ocaml.m4.txt ocaml.m4.html

man: ocaml.m4.1

ocaml.m4.1: ocaml.m4.pod
	pod2man -c "Autoconf macros" --release "$(PACKAGE)-$(VERSION)" $< > $@

ocaml.m4.txt: ocaml.m4.pod
	pod2text $< > $@

ocaml.m4.html: ocaml.m4.pod
	pod2html $< > $@

clean:
	rm -f *~ ocaml.m4.1 ocaml.m4.txt

dist: ocaml.m4.1 ocaml.m4.txt
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	install -m 0644 \
	  LICENSE README \
	  Makefile \
	  ocaml.m4 \
	  ocaml.m4.1 ocaml.m4.pod ocaml.m4.txt \
	  $(PACKAGE)-$(VERSION)/
	tar -cf - $(PACKAGE)-$(VERSION) | \
	  gzip --best > $(PACKAGE)-$(VERSION).tar.gz
	rm -rf $(PACKAGE)-$(VERSION)

install: install-macro install-man

install-macro:
	$(MKDIR_P) $(DESTDIR)$(datadir)/aclocal/
	$(INSTALL) -m 0644 ocaml.m4 $(DESTDIR)$(datadir)/aclocal/

install-man:
	$(MKDIR_P) $(DESTDIR)$(mandir)/man1/
	$(INSTALL) -m 0644 ocaml.m4.1 $(DESTDIR)$(mandir)/man1/

.PHONY: man install-macro install-man

=== ocamldot/Makefile ===
# Try to automatically guess whether we are running under Windows.
# Set WIN32=true manually if this doesn't work.
#
ifeq (${OSTYPE},cygwin32) # Cygwin Beta 19
  WIN32=true
else
ifeq (${OSTYPE},cygwin)	  # Cygwin Beta 20
  WIN32=true
endif
endif

ifdef WIN32
EXE=.exe
else # UNIX
EXE=
endif

ocamldot$(EXE): ocamldot.mll
	ocamllex ocamldot.mll
	ocamlc -o $@ ocamldot.ml

clean:
	$(RM) ocamldot$(EXE) ocamldot.ml *.cmi *.cmo *.o *.obj

=== omlet-0.13/Makefile ===
.PHONY: install dist

VERSION=0.13

install:
	BASE=$(HOME)/.vim make install-aux
install-sys:
	BASE=/usr/share/vim/vimfiles make install-aux

install-aux:
	for i in indent syntax ftplugin ftdetect ; do \
	  mkdir -p $(BASE)/$$i ; \
	  cp -f $$i/omlet.vim $(BASE)/$$i ; \
	done
	@echo Installation done.
	@echo
	@echo Add lines like \"filetype plugin on\", \"filetype indent on\" to your .vimrc
	@echo in order to enable OMLet.
	@echo See README for other useful information.

V=omlet-$(shell date +%y%m%d)
D=/home/httpd/htdocs/david.baelde/productions/POOL

dist:
	rm -rf omlet-$(VERSION)
	mkdir omlet-$(VERSION)
	cp LICENSE README INSTALL ChangeLog Makefile omlet-$(VERSION)
	for i in indent syntax ftplugin ftdetect ; do \
		mkdir omlet-$(VERSION)/$$i ; \
		cp $$i/omlet.vim omlet-$(VERSION)/$$i ; \
	done
	tar czvf $(V).tar.gz omlet-$(VERSION)
	rm -rf omlet-$(VERSION)
	cp $(V).tar.gz omlet-$(VERSION).tar.gz

=== debian/changelog ===
ocaml-tools (20120103-7) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Set debhelper-compat version in Build-Depends.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 09:19:09 +0200

ocaml-tools (20120103-6) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.08.1
  * Update Vcs-*
  * Remove Samuel from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 09:37:36 +0100

ocaml-tools (20120103-5) unstable; urgency=medium

  * DH compat level 10
  * Drop obsolete version constraint on build-dependency dh-ocaml
  * Standards-version 4.1.0:
    - d/copyright: use https in copyright-format URL

 -- Ralf Treinen <treinen@debian.org>  Wed, 20 Sep 2017 08:41:40 +0200

ocaml-tools (20120103-4) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Oct 2015 07:43:49 +0200

ocaml-tools (20120103-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Recompile with OCaml 4.01.0

  [ Ralf Treinen ]
  * debian/copyright: migrate to machine-readable format 1.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Dec 2013 08:45:23 +0100

ocaml-tools (20120103-2) unstable; urgency=low

  * Fix debian/rules targets to call install before binary-indep
    (Closes: #656330)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 18 Jan 2012 15:28:07 +0100

ocaml-tools (20120103-1) unstable; urgency=low

  [ Ralf Treinen ]
  * Fixed typo in long description (closes: #583937)

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

  [ Stéphane Glondu ]
  * Switch packaging to git

  [ Mehdi Dogguy ]
  * Add myself to Uploaders.
  * New release
    - retintroduce ocamldot since its functionality is not provided
      by ocamldoc.
  * Fix typo in README.Debian
  * Fix copyright-refers-to-deprecated-bsd-license-file
  * Bump Standards-Version to 3.9.2, no further changes required
  * Fix debian-rules-missing-recommended-target build-{arch,indep}
  * Convert to 3.0 (quilt) source format

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 04 Jan 2012 22:23:43 +0100

ocaml-tools (20090719-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * add ocaml-autoconf: autoconf macros for OCaml
    - upstream git snapshot, commit: d0ad968
  * fix vcs-svn field to point just above the debian/ dir
  * debian/control:
    - bump Standards-Version to 3.8.2 (no changes needed)
    - clean up inactive maintainers from Uploaders
    - revamp short and long descriptions
  * debian/copyright:
    - add copyright info for ocaml-autoconf
    - fix path pointing to GPL-2 (omlet's license)
    - change encoding to UTF-8
  * debian/compat: bump to 5 (minimum, non deprecated level)
  * debian/rules:
    - delegate file installation do appropriate dh_*
    - use dh_lintian to install lintian overrides

  [ Ralf Treinen ]
  * changed section to ocaml

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 19 Jul 2009 16:43:19 +0200

ocaml-tools (2007.06.24-2) unstable; urgency=low

  * Comply to the new vim policy for omlet: recommend vim-addon-manager,
    updated README.Debian, removed the debconf template, added a yaml file,
    closes: #432519.

 -- Samuel Mimram <smimram@debian.org>  Thu, 12 Jul 2007 14:02:50 +0200

ocaml-tools (2007.06.24-1) unstable; urgency=low

  [ Samuel Mimram ]
  * Correct German debconf translation which was invalid, closes: #418980.
  [ Ralf Treinen ]
  * Split off cmigrep into a package of its own.
  * Split off ocamlmakefile into a package of its own.
  * Remove ocamldot since this functionality is now provided by ocamldoc.

 -- Ralf Treinen <treinen@debian.org>  Sun, 24 Jun 2007 22:31:35 +0200

ocaml-tools (2007.02.04-2) unstable; urgency=low

  * Added German debconf translation (thanks Stefan Bauer), closes: #410547.
  * Added Japanese debconf translation (thanks Kobayashi Noritada),
    closes: #413005.
  * Added Dutch debconf translation (thanks Bart Cornelis), closes: #418394.

 -- Samuel Mimram <smimram@debian.org>  Thu,  1 Mar 2007 23:22:47 +0100

ocaml-tools (2007.02.04-1) experimental; urgency=low

  [ Samuel Mimram ]
  * Added Portugese debconf translation (thanks Ricardo Silva),
    closes: #380313.
  [Ralf Treinen ]
  * Updated upstream location and authors email for ocamlmake
  * Upgraded ocamlmake version to 6.24.5
  * Added cmigrep, version 1.1. Wrote manpage for cmigrep.

 -- Ralf Treinen <treinen@debian.org>  Mon,  5 Feb 2007 21:30:40 +0100

ocaml-tools (2006.05.15-1) unstable; urgency=low

  * New upstream release of ocaml-make: 6.21.2.
  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Mon, 15 May 2006 21:33:18 +0000

ocaml-tools (2005.29.04-5) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.
  * Packaging is now automagically handling OCaml's ABI changes.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 18:27:00 +0100

ocaml-tools (2005.29.04-4) unstable; urgency=low

  * Added Swedish debconf translation (thanks Daniel Nylander),
    closes: #331484.
  * Bumped (build-)dependency on ocaml-* to 3.09.0.
  * Lintian override for upstream changelog: drop filename.

 -- Ralf Treinen <treinen@debian.org>  Mon,  7 Nov 2005 22:44:26 +0100

ocaml-tools (2005.29.04-3) unstable; urgency=low

  [ Samuel Mimram ]
  * Added Vietnamese translation of the debconf messages (thanks Clytie
    Siddall), closes: #316500.
  * Added Czech translation of the debconf messages (thanks Martin Sin),
    closes: #310701.
  * Updated Standards-Version to 3.6.2, no changes required.
  * Checking the existence of the ocamldot directory in clean target in order
    for svn-buildpackage not to complain.

  [ Julien Cristau ]


=== debian/control ===
Source: ocaml-tools
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends: debhelper-compat (= 13), ocaml-nox, dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-tools.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-tools

Package: ocaml-tools
Architecture: all
Depends: ${misc:Depends}, ocaml-base-nox-${F:OCamlABI}
Recommends: vim, vim-addon-manager
Enhances: ocaml
Suggests: autoconf, otags
Description: tools for OCaml developers
 This package collects various tools to help developing Objective Caml
 (OCaml) programs; in particular it contains:
 .
  * ocaml-autoconf: autoconf macros for OCaml
  * omlet: a better OCaml indentation mode for vim
  * a configure.in and Makefile.in template
  * ocamldot: generate program dependency graphs for OCaml programs

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ocaml-tools

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/ocaml-tools

# top level dir for documentation
DOCDIR = /usr/share/doc/ocaml-tools

# share dir where files are to be installed
SHDIR = /usr/share/ocaml-tools

VIMDIR = /usr/share/vim/addons

# omlet source dir
OMLETSRC = $(shell echo omlet-*)

build-arch:

build-indep:
	$(MAKE) -C ocaml-autoconf/
	$(MAKE) -C ocamldot/ ocamldot
	cp ocaml-autoconf/README ocaml-autoconf/README.ocaml-autoconf
	cd omlet-* && (cp README README.omlet ; cp ChangeLog changelog.omlet)
	cp ocamldot/README README.ocamldot

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	$(MAKE) -C ocaml-autoconf/ clean
	$(MAKE) -C ocamldot/ clean
	rm -f ocaml-autoconf/README.ocaml-autoconf
	rm -f omlet-*/README.omlet omlet-*/changelog.omlet
	rm -f README.ocamldot
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	BASE=$(DESTDIR)/$(VIMDIR) make -C $(OMLETSRC) install-aux
	echo 'F:OCamlABI=$(OCAML_ABI)' >> debian/ocaml-tools.substvars

binary-arch: build-arch

binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs
	dh_installman
	dh_lintian
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: build clean binary-indep binary-arch binary install
